GLS ShipIT 5.0.17 GLS ShipIT - SOAP services

Public Member Functions | Protected Attributes | List of all members
eu.gls_group.fpcs.v1.shipmentprocessing.types.ParcelData Class Reference

## Public Member Functions
String | getTrackID ()
void | setTrackID (String value)
String | getPartnerParcelNumber ()
void | setPartnerParcelNumber (String value)
String | getExchangeParcelID ()
void | setExchangeParcelID (String value)
List< String > | getShipmentUnitReference ()
String | getParcelNumber ()
void | setParcelNumber (String value)
Barcodes | getBarcodes ()
void | setBarcodes (Barcodes value)
ItalianData | getItalianData ()
void | setItalianData (ItalianData value)
RoutingInfo | getRoutingInfo ()
void | setRoutingInfo (RoutingInfo value)
ExpressData | getExpressData ()
void | setExpressData (ExpressData value)
ServiceArea | getServiceArea ()
void | setServiceArea (ServiceArea value)
NDIArea | getNDIArea ()
void | setNDIArea (NDIArea value)
String | getHandlingInformation ()
void | setHandlingInformation (String value)
MondialRelayArea | getMondialRelayArea ()
void | setMondialRelayArea (MondialRelayArea value)

## Protected Attributes
String | trackID
String | partnerParcelNumber
String | exchangeParcelID
List< String > | shipmentUnitReference
String | parcelNumber
Barcodes | barcodes
ItalianData | italianData
RoutingInfo | routingInfo
ExpressData | expressData
ServiceArea | serviceArea
NDIArea | ndiArea
String | handlingInformation
MondialRelayArea | mondialRelayArea

## Detailed Description

Parcel data being returned from createShipment request (meta data, label, pdf, ...)

Java class for ParcelData complex type.

The following schema fragment specifies the expected content contained within this class.

    <complexType name="ParcelData">
      <complexContent>
        <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
          <sequence>
            <element name="TrackID" type="{http://fpcs.gls-group.eu/v1/Common}ReferenceNumber"/>
            <element name="PartnerParcelNumber" type="{http://www.w3.org/2001/XMLSchema}string" minOccurs="0"/>
            <element name="ExchangeParcelID" type="{http://fpcs.gls-group.eu/v1/Common}ReferenceNumber" minOccurs="0"/>
            <element name="ShipmentUnitReference" type="{http://fpcs.gls-group.eu/v1/Common}CustomerReferenceNumber" maxOccurs="unbounded" minOccurs="0"/>
            <element name="ParcelNumber" type="{http://www.w3.org/2001/XMLSchema}string"/>
            <element name="Barcodes" type="{http://fpcs.gls-group.eu/v1/ShipmentProcessing/types}Barcodes" minOccurs="0"/>
            <element name="ItalianData" type="{http://fpcs.gls-group.eu/v1/ShipmentProcessing/types}ItalianData" minOccurs="0"/>
            <element name="RoutingInfo" type="{http://fpcs.gls-group.eu/v1/ShipmentProcessing/types}RoutingInfo" minOccurs="0"/>
            <element name="ExpressData" type="{http://fpcs.gls-group.eu/v1/ShipmentProcessing/types}ExpressData" minOccurs="0"/>
            <element name="ServiceArea" type="{http://fpcs.gls-group.eu/v1/ShipmentProcessing/types}ServiceArea" minOccurs="0"/>
            <element name="NDIArea" type="{http://fpcs.gls-group.eu/v1/ShipmentProcessing/types}NDIArea" minOccurs="0"/>
            <element name="HandlingInformation" type="{http://www.w3.org/2001/XMLSchema}string" minOccurs="0"/>
            <element name="MondialRelayArea" type="{http://fpcs.gls-group.eu/v1/ShipmentProcessing/types}MondialRelayArea" minOccurs="0"/>
          </sequence>
        </restriction>
      </complexContent>
    </complexType>

Definition at line 64 of file gls_group/fpcs/v1/shipmentprocessing/types/ParcelData.java.

## Member Function Documentation

## ◆ getBarcodes()

Barcodes eu.gls_group.fpcs.v1.shipmentprocessing.types.ParcelData.getBarcodes | ( |  | ) |

Gets the value of the barcodes property.

Returns
  possible object is Barcodes

Definition at line 226 of file gls_group/fpcs/v1/shipmentprocessing/types/ParcelData.java.

## ◆ getExchangeParcelID()

String eu.gls_group.fpcs.v1.shipmentprocessing.types.ParcelData.getExchangeParcelID | ( |  | ) |

Gets the value of the exchangeParcelID property.

Returns
  possible object is String

Definition at line 149 of file gls_group/fpcs/v1/shipmentprocessing/types/ParcelData.java.

## ◆ getExpressData()

ExpressData eu.gls_group.fpcs.v1.shipmentprocessing.types.ParcelData.getExpressData | ( |  | ) |

Gets the value of the expressData property.

Returns
  possible object is ExpressData

Definition at line 298 of file gls_group/fpcs/v1/shipmentprocessing/types/ParcelData.java.

## ◆ getHandlingInformation()

String eu.gls_group.fpcs.v1.shipmentprocessing.types.ParcelData.getHandlingInformation | ( |  | ) |

Gets the value of the handlingInformation property.

Returns
  possible object is String

Definition at line 370 of file gls_group/fpcs/v1/shipmentprocessing/types/ParcelData.java.

## ◆ getItalianData()

ItalianData eu.gls_group.fpcs.v1.shipmentprocessing.types.ParcelData.getItalianData | ( |  | ) |

Gets the value of the italianData property.

Returns
  possible object is ItalianData

Definition at line 250 of file gls_group/fpcs/v1/shipmentprocessing/types/ParcelData.java.

## ◆ getMondialRelayArea()

MondialRelayArea eu.gls_group.fpcs.v1.shipmentprocessing.types.ParcelData.getMondialRelayArea | ( |  | ) |

Gets the value of the mondialRelayArea property.

Returns
  possible object is MondialRelayArea

Definition at line 394 of file gls_group/fpcs/v1/shipmentprocessing/types/ParcelData.java.

## ◆ getNDIArea()

NDIArea eu.gls_group.fpcs.v1.shipmentprocessing.types.ParcelData.getNDIArea | ( |  | ) |

Gets the value of the ndiArea property.

Returns
  possible object is NDIArea

Definition at line 346 of file gls_group/fpcs/v1/shipmentprocessing/types/ParcelData.java.

## ◆ getParcelNumber()

String eu.gls_group.fpcs.v1.shipmentprocessing.types.ParcelData.getParcelNumber | ( |  | ) |

Gets the value of the parcelNumber property.

Returns
  possible object is String

Definition at line 202 of file gls_group/fpcs/v1/shipmentprocessing/types/ParcelData.java.

## ◆ getPartnerParcelNumber()

String eu.gls_group.fpcs.v1.shipmentprocessing.types.ParcelData.getPartnerParcelNumber | ( |  | ) |

Gets the value of the partnerParcelNumber property.

Returns
  possible object is String

Definition at line 125 of file gls_group/fpcs/v1/shipmentprocessing/types/ParcelData.java.

## ◆ getRoutingInfo()

RoutingInfo eu.gls_group.fpcs.v1.shipmentprocessing.types.ParcelData.getRoutingInfo | ( |  | ) |

Gets the value of the routingInfo property.

Returns
  possible object is RoutingInfo

Definition at line 274 of file gls_group/fpcs/v1/shipmentprocessing/types/ParcelData.java.

## ◆ getServiceArea()

ServiceArea eu.gls_group.fpcs.v1.shipmentprocessing.types.ParcelData.getServiceArea | ( |  | ) |

Gets the value of the serviceArea property.

Returns
  possible object is ServiceArea

Definition at line 322 of file gls_group/fpcs/v1/shipmentprocessing/types/ParcelData.java.

## ◆ getShipmentUnitReference()

List<String> eu.gls_group.fpcs.v1.shipmentprocessing.types.ParcelData.getShipmentUnitReference | ( |  | ) |

Gets the value of the shipmentUnitReference property.

This accessor method returns a reference to the live list, not a snapshot. Therefore any modification you make to the returned list will be present inside the JAXB object. This is why there is not a `set` method for the shipmentUnitReference property.

For example, to add a new item, do as follows:

       getShipmentUnitReference().add(newItem);

Objects of the following type(s) are allowed in the list String

Definition at line 187 of file gls_group/fpcs/v1/shipmentprocessing/types/ParcelData.java.

## ◆ getTrackID()

String eu.gls_group.fpcs.v1.shipmentprocessing.types.ParcelData.getTrackID | ( |  | ) |

Gets the value of the trackID property.

Returns
  possible object is String

Definition at line 101 of file gls_group/fpcs/v1/shipmentprocessing/types/ParcelData.java.

## ◆ setBarcodes()

void eu.gls_group.fpcs.v1.shipmentprocessing.types.ParcelData.setBarcodes | ( | Barcodes | value | ) |

Sets the value of the barcodes property.

Parameters

  value | allowed object is Barcodes

Definition at line 238 of file gls_group/fpcs/v1/shipmentprocessing/types/ParcelData.java.

## ◆ setExchangeParcelID()

void eu.gls_group.fpcs.v1.shipmentprocessing.types.ParcelData.setExchangeParcelID | ( | String | value | ) |

Sets the value of the exchangeParcelID property.

Parameters

  value | allowed object is String

Definition at line 161 of file gls_group/fpcs/v1/shipmentprocessing/types/ParcelData.java.

## ◆ setExpressData()

void eu.gls_group.fpcs.v1.shipmentprocessing.types.ParcelData.setExpressData | ( | ExpressData | value | ) |

Sets the value of the expressData property.

Parameters

  value | allowed object is ExpressData

Definition at line 310 of file gls_group/fpcs/v1/shipmentprocessing/types/ParcelData.java.

## ◆ setHandlingInformation()

void eu.gls_group.fpcs.v1.shipmentprocessing.types.ParcelData.setHandlingInformation | ( | String | value | ) |

Sets the value of the handlingInformation property.

Parameters

  value | allowed object is String

Definition at line 382 of file gls_group/fpcs/v1/shipmentprocessing/types/ParcelData.java.

## ◆ setItalianData()

void eu.gls_group.fpcs.v1.shipmentprocessing.types.ParcelData.setItalianData | ( | ItalianData | value | ) |

Sets the value of the italianData property.

Parameters

  value | allowed object is ItalianData

Definition at line 262 of file gls_group/fpcs/v1/shipmentprocessing/types/ParcelData.java.

## ◆ setMondialRelayArea()

void eu.gls_group.fpcs.v1.shipmentprocessing.types.ParcelData.setMondialRelayArea | ( | MondialRelayArea | value | ) |

Sets the value of the mondialRelayArea property.

Parameters

  value | allowed object is MondialRelayArea

Definition at line 406 of file gls_group/fpcs/v1/shipmentprocessing/types/ParcelData.java.

## ◆ setNDIArea()

void eu.gls_group.fpcs.v1.shipmentprocessing.types.ParcelData.setNDIArea | ( | NDIArea | value | ) |

Sets the value of the ndiArea property.

Parameters

  value | allowed object is NDIArea

Definition at line 358 of file gls_group/fpcs/v1/shipmentprocessing/types/ParcelData.java.

## ◆ setParcelNumber()

void eu.gls_group.fpcs.v1.shipmentprocessing.types.ParcelData.setParcelNumber | ( | String | value | ) |

Sets the value of the parcelNumber property.

Parameters

  value | allowed object is String

Definition at line 214 of file gls_group/fpcs/v1/shipmentprocessing/types/ParcelData.java.

## ◆ setPartnerParcelNumber()

void eu.gls_group.fpcs.v1.shipmentprocessing.types.ParcelData.setPartnerParcelNumber | ( | String | value | ) |

Sets the value of the partnerParcelNumber property.

Parameters

  value | allowed object is String

Definition at line 137 of file gls_group/fpcs/v1/shipmentprocessing/types/ParcelData.java.

## ◆ setRoutingInfo()

void eu.gls_group.fpcs.v1.shipmentprocessing.types.ParcelData.setRoutingInfo | ( | RoutingInfo | value | ) |

Sets the value of the routingInfo property.

Parameters

  value | allowed object is RoutingInfo

Definition at line 286 of file gls_group/fpcs/v1/shipmentprocessing/types/ParcelData.java.

## ◆ setServiceArea()

void eu.gls_group.fpcs.v1.shipmentprocessing.types.ParcelData.setServiceArea | ( | ServiceArea | value | ) |

Sets the value of the serviceArea property.

Parameters

  value | allowed object is ServiceArea

Definition at line 334 of file gls_group/fpcs/v1/shipmentprocessing/types/ParcelData.java.

## ◆ setTrackID()

void eu.gls_group.fpcs.v1.shipmentprocessing.types.ParcelData.setTrackID | ( | String | value | ) |

Sets the value of the trackID property.

Parameters

  value | allowed object is String

Definition at line 113 of file gls_group/fpcs/v1/shipmentprocessing/types/ParcelData.java.

## Member Data Documentation

## ◆ barcodes

Barcodes eu.gls_group.fpcs.v1.shipmentprocessing.types.ParcelData.barcodes
| protected

Definition at line 77 of file gls_group/fpcs/v1/shipmentprocessing/types/ParcelData.java.

## ◆ exchangeParcelID

String eu.gls_group.fpcs.v1.shipmentprocessing.types.ParcelData.exchangeParcelID
| protected

Definition at line 71 of file gls_group/fpcs/v1/shipmentprocessing/types/ParcelData.java.

## ◆ expressData

ExpressData eu.gls_group.fpcs.v1.shipmentprocessing.types.ParcelData.expressData
| protected

Definition at line 83 of file gls_group/fpcs/v1/shipmentprocessing/types/ParcelData.java.

## ◆ handlingInformation

String eu.gls_group.fpcs.v1.shipmentprocessing.types.ParcelData.handlingInformation
| protected

Definition at line 89 of file gls_group/fpcs/v1/shipmentprocessing/types/ParcelData.java.

## ◆ italianData

ItalianData eu.gls_group.fpcs.v1.shipmentprocessing.types.ParcelData.italianData
| protected

Definition at line 79 of file gls_group/fpcs/v1/shipmentprocessing/types/ParcelData.java.

## ◆ mondialRelayArea

MondialRelayArea eu.gls_group.fpcs.v1.shipmentprocessing.types.ParcelData.mondialRelayArea
| protected

Definition at line 91 of file gls_group/fpcs/v1/shipmentprocessing/types/ParcelData.java.

## ◆ ndiArea

NDIArea eu.gls_group.fpcs.v1.shipmentprocessing.types.ParcelData.ndiArea
| protected

Definition at line 87 of file gls_group/fpcs/v1/shipmentprocessing/types/ParcelData.java.

## ◆ parcelNumber

String eu.gls_group.fpcs.v1.shipmentprocessing.types.ParcelData.parcelNumber
| protected

Definition at line 75 of file gls_group/fpcs/v1/shipmentprocessing/types/ParcelData.java.

## ◆ partnerParcelNumber

String eu.gls_group.fpcs.v1.shipmentprocessing.types.ParcelData.partnerParcelNumber
| protected

Definition at line 69 of file gls_group/fpcs/v1/shipmentprocessing/types/ParcelData.java.

## ◆ routingInfo

RoutingInfo eu.gls_group.fpcs.v1.shipmentprocessing.types.ParcelData.routingInfo
| protected

Definition at line 81 of file gls_group/fpcs/v1/shipmentprocessing/types/ParcelData.java.

## ◆ serviceArea

ServiceArea eu.gls_group.fpcs.v1.shipmentprocessing.types.ParcelData.serviceArea
| protected

Definition at line 85 of file gls_group/fpcs/v1/shipmentprocessing/types/ParcelData.java.

## ◆ shipmentUnitReference

List<String> eu.gls_group.fpcs.v1.shipmentprocessing.types.ParcelData.shipmentUnitReference
| protected

Definition at line 73 of file gls_group/fpcs/v1/shipmentprocessing/types/ParcelData.java.

## ◆ trackID

String eu.gls_group.fpcs.v1.shipmentprocessing.types.ParcelData.trackID
| protected

Definition at line 67 of file gls_group/fpcs/v1/shipmentprocessing/types/ParcelData.java.

The documentation for this class was generated from the following file:

- gls_group/fpcs/v1/shipmentprocessing/types/ParcelData.java